'' ========================================================================
''
''   File....... servo8_demo.spin
''   Purpose.... 1- to 8-channel servo driver
''   Author..... Jon McPhalen
''               Copyright (c) 2009 Jon McPhalen
''               Some Rights Reserved
''               -- see http://creativecommons.org/licenses/by/3.0/
''   E-mail..... jon@jonmcphalen.com
''   Started.... 05 APR 2009
''   Updated.... 05 APR 2009
''
'' ========================================================================
''
'' Permission granted by author for anyone to use/modify/redistribute this
'' code.  No warranty of suitability for your applicationis expressed or
'' implied.


CON

  _xinfreq = 5_000_000
  _clkmode = xtal1 + pll16x 


VAR

  long idx
  long position                                                 ' to wag to-and-fro


OBJ

  myServos : "servo8"


PUB main

  repeat idx from 0 to 7
    myServos.setpos(idx, 1_500)                                 ' preset servos

  myServos.startx(8, 0)                                         ' start with user loaded positions

  repeat
    repeat position from 1_000 to 1_999
      myServos.setpos(0, position)
      waitcnt((myServos#MS_01 << 1) + cnt)                      ' 2ms at each position
    repeat position from 2_000 to 1_001
      myServos.setpos(0, position)
      waitcnt((myServos#MS_01 << 1) + cnt)
        
